This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 857574 - German locale seems to have been switched to Russian in the web interface and another language for the cli
German locale seems to have been switched to Russian in the web interface and...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity high (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 18:18 EDT by Og Maciel
Modified: 2014-09-18 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Both the command line interface and web user interface German locale contain Russian and Chinese translations. This fix pulls the new and correct translations and resolves the mistranslated terms.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:53:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (25.83 KB, image/png)
2012-09-14 18:18 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-09-14 18:18:07 EDT
Created attachment 613008 [details]
Screenshot

Description of problem:

Both CLI and Web UI German locale are actually Russian translations

Version-Release number of selected component (if applicable):

Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Change the current web ui user's locale to German (de)
2. Using the command line, run commands choosing German (de) as your locale:
  # LANG=de katello --help

Actual results:

The web interface seems to be showing Russian messages (see attached screenshot) and command line displays a different locale.

# LANG=de katello --help
Usage:  katello <options> <command>
Supported Commands:
	activation_key katello 服务器中激活码的具体动作
	admin          various administrative actions
	changeset      katello 服务器中更改集的具体动作
	client         katello 服务器中客户端的具体动作
	distribution   katello 服务器中库的具体动作
	environment    katello 服务器中环境具体动作
	errata         katello 服务器中的勘误具体动作
	filter         katello 服务器中过滤器的具体动作
	gpg_key        katello 服务器中 GPG 密钥的具体动作
	org            katello 服务器中的机构具体动作
	package        katello 服务器中软件包的具体动作
	package_group  katello 服务器中软件包组的具体动作
	permission     katello 服务器中权限的具体动作
	ping           获得 katello 服务器的状态
	product        katello 服务器中的产品具体动作
	provider       katello 服务器中的供应商具体动作
	repo           katello 服务器中库的具体动作
	shell          将 cli 作为 shell 运行
	sync_plan      katello 服务器中同步计划的具体动作
	system         katello 服务器中系统的具体动作
	system_group   system group specific actions in the katello server
	template       katello 服务器中模板的具体动作
	user           katello 服务器中用户的具体动作
	user_role      katello 服务器中用户角色的具体动作
	version        get the version of the katello server

Options:
  -h, --help            show this help message and exit
  -v, --version         prints version information
  -d, --debug           send debug information into logs

  Katello 用户帐户证书:
    -u USERNAME, --username=USERNAME
                        帐户用户名
    -p PASSWORD, --password=PASSWORD
                        帐户密码

  Katello 服务器信息:
    --host=HOST         Katello 服务器主机名(默认为:localhost.localdomain)

Expected results:


Additional info:
Comment 2 Miroslav Suchý 2012-09-19 11:16:51 EDT
This is fixed in Katello and should be fixed in CFSE once translation will arrive.
I will flip this to ON_QA once translation will arrive.
Comment 3 Ivan Necas 2012-09-21 03:50:44 EDT
What exactly was the fix for this issue?
Comment 11 Og Maciel 2012-10-08 17:51:30 EDT
Verified:

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-14.el6cf.noarch
* katello-all-1.1.12-14.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-7.el6cf.noarch
* katello-cli-common-1.1.8-7.el6cf.noarch
* katello-common-1.1.12-14.el6cf.noarch
* katello-configure-1.1.9-7.el6cf.noarch
* katello-glue-candlepin-1.1.12-14.el6cf.noarch
* katello-glue-pulp-1.1.12-14.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 13 errata-xmlrpc 2012-12-04 14:53:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.